> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlock Trading

> Deactivates kill switch to cancel orders and unlocks trading for specified users, firms, or FCMs. Must only include one uuid (fcm, firm, or trading user).



## OpenAPI

````yaml /api-reference/derivatives-api/rest-api/cde-spec.json post /rest/unlock-trading
openapi: 3.0.3
info:
  title: Derivatives Public REST API
  version: 0.1.0
  description: Public REST API for Coinbase Derivatives Exchange Public REST Gateway
servers:
  - url: https://api.exchange.fairx.net
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /rest/unlock-trading:
    post:
      tags:
        - Risk
      summary: Unlock Trading
      description: >-
        Deactivates kill switch to cancel orders and unlocks trading for
        specified users, firms, or FCMs. Must only include one uuid (fcm, firm,
        or trading user).
      operationId: unlockTrading
      parameters: []
      requestBody:
        description: Unlock Trading parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UnlockTradingRequest'
        required: true
      responses:
        '200':
          description: >-
            Unlock trading executed successfully. Note: numOrdersCanceled will
            always be 0
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KillSwitchConf'
        '400':
          description: invalid number of uuids provided
        '403':
          description: >-
            Forbidden - insufficient permissions for the specified operation.
            Can occur if trading lock from higher permission level in effect.
      deprecated: false
      security: []
components:
  schemas:
    UnlockTradingRequest:
      type: object
      additionalProperties: false
      properties:
        fcm_uuid:
          type: string
          example: 123e4567-e89b-12d3-a456-426614174000
        firm_uuid:
          type: string
          example: aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee
        trading_user_uuid:
          type: string
          example: f81d4fae-7dec-11d0-a765-00a0c91e6bf6
    KillSwitchConf:
      type: object
      additionalProperties: false
      properties:
        num_users_affected:
          type: integer
          format: int32
          example: 4
        num_orders_canceled:
          type: integer
          format: int32
          example: 0
  securitySchemes:
    auth_api_key:
      in: header
      name: CB-ACCESS-KEY
      description: The key string of the API key for the request
      type: apiKey
    auth_timestamp:
      in: header
      name: CB-ACCESS-TIMESTAMP
      description: The timestamp of when the request is being made (in epoch seconds)
      type: apiKey
    auth_passphrase:
      in: header
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase affiliated with the API Key
      type: apiKey
    auth_signature:
      in: header
      name: CB-ACCESS-SIGN
      description: >-
        An HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
      type: apiKey

````